---
title: SVGPoint
slug: Web/API/SVGPoint
tags:
  - API
  - DOM
  - NeedsContent
  - SVG
---
<div>{{APIRef("SVG")}}</div>

<p>An <code>SVGPoint</code> represents a 2D or 3D point in the SVG coordinate system.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">retObject = <var>SVGSVGElement</var>.createSVGPoint()</pre>

<h3 id="Value">Value</h3>

<p>The returned value is an <code>SVGPoint</code> object.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">// Create an SVGPoint in the user coordinate system
let s = document.getElementById("SVG-ElementID").createSVGPoint();

// Then, set the x and y values of the returned SVGPoint object
// (which is the variable `s`)
s.y = 10;
s.x = 10;
</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGPoint")}}</p>
